* {
  box-sizing: border-box;
}
:root {
  --color-highlight: rgb(127 0 245 / 1);
  --color-contrast: rgb(101 39 117 / 1);
  --color-button-border: white;
  --color-button-bg: black;

  --font-heading: "Permanent Marker", sans-serif;

  .light-mode {
    --color-highlight: rgb(0 143 245);
    --color-contrast: rgb(0 166 255 / 1);
    --color-button-border: black;
    --color-button-bg: white;
  }
}

body {
  margin: 0;
  padding: 0;
  background-color: black;
  color: white;
  font-family: sans-serif;
}

.light-mode {
  background-color: rgb(0 220 245 / 1);
  background-image: radial-gradient(
    circle,
    rgb(0 220 245 / 1) 0%,
    var(--color-contrast) 100%
  );
  background-position: -470px -100px;
  color: black;
}

header {
  background-image: linear-gradient(
    0deg,
    rgb(255 255 255 / 0.07) 0%,
    var(--color-highlight) 100%
  );

  a {
    color: white;
  }
}

.light-mode header a {
  color: black;
}

main {
  min-height: 50vh;
  background-color: rgb(255 255 255 / 0.1);
}

.light-mode main {
  background-color: white;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: var(--font-heading);
}

a {
  color: var(--color-highlight);
}

a:hover {
  text-decoration: none;
}

button {
  border: 2px solid var(--color-button-border);
  padding: 4px 8px;
  border-radius: 3px;
  color: var(--color-button-border);
  background-color: var(--color-button-bg);
  box-shadow: 2px 2px 0 0 rgb(0 0 0 / 0.5);
}
button:active {
  position: relative;
  left: 2px;
  top: 2px;
  box-shadow: none;
}

:where(.light-mode) button {
  border-color: var(--color-button-bg);
  color: var(--color-button-bg);
  background-color: var(--color-button-border);
  box-shadow: 2px 2px 2px 0 rgb(0 0 0 / 0.5);
}


footer {
  background: radial-gradient(
      circle,
      var(--color-highlight) 0%,
      var(--color-contrast) 100%
    )
    var(--color-highlight);
}

.light-mode footer {
  color: black;
  background: radial-gradient(
      circle,
      rgb(0 220 245 / 1) 0%,
      var(--color-highlight) 100%
    )
    var(--color-highlight);
}

#color-mode-button {
  --color-button-border: black;
  --color-button-bg: white;
}

.center {
  max-width: 940px;
  padding: 20px;
  margin-left: auto;
  margin-right: auto;
}

.big {
  font-size: 48px;
}

.line {
  display: flex;
  gap: 20px;
  justify-content: space-between;
  align-items: center;
}

.underline {
  display: flex;
  gap: 10px;
  justify-content: right;
  border-bottom: 1px solid white;
  margin-bottom: 0;
  padding: 0;
}
.light-mode .underline {
  border-color: black;
}
.tab {
  display: inline-block;
  border: 1px solid white;
  border-bottom: none;
  padding: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  background-color: black;
}
.light-mode .tab {
  border-color: black;
  background-color: white;
}
